# Comprehensive Motor Insurance

The following endpoints will allow a merchant to subscribe their customer to the Comprehensive Motor insurance plan as well as request claims.

## List All Comprehensive Motor Products

## This endpoint returns a list of all the Comprehensive Motor insurance products

<mark style="color:blue;">`GET`</mark> `https://sandbox.insurpass.com/api/merchant/comprehensive_motor_get_products`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
   "success":true,
   "response_message":"Comprehensive motor products get successful",
   "response_code":"",
   "data":[
      {
         "id":5,
         "name":"Comprehesive bronze",
         "details":"sgsfgsfgsf",
         "beneficiaries":false,
         "max_beneficiaries":5,
         "provider_id":1,
         "logo_url":null,
         "enable":true,
         "created_at":"2022-02-24T10:01:42.000000Z",
         "updated_at":"2022-02-24T09:14:21.000000Z",
         "service_id":5,
         "price_config":[
            {
               "id":4,
               "product_id":5,
               "no_of_users":3,
               "provider_price":"4000.00",
               "coverdor_commission":"200.00",
               "total_price":"5000.00",
               "product_code":"432",
               "product_short_code":"rrwrw",
               "created_at":"2022-02-24T09:24:50.000000Z",
               "updated_at":"2022-02-24T09:24:50.000000Z",
               "system_commission":"3443.00",
               "amount_insured":"4800.00",
               "commission_type":"fixed"
            }
         ]
      }
   ]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/comprehensive_motor_get_products',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer {{SECRETKEY}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = '';

var config = {
  method: 'get',
  url: 'https://sandbox.insurpass.com/api/merchant/comprehensive_motor_get_products',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}'
  },
  data: data
};
axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request GET https://sandbox.insurpass.com/api/merchant/comprehensive_motor_get_products' \
--header 'Authorization: Bearer {{SECRETKEY}}' \
--header 'Accept: application/json' \
--data-raw ''
```

{% endcode %}
{% endtab %}
{% endtabs %}

&#x20;&#x20;
